Package com.smartgwt.client.widgets.form.validator

# Class LengthRangeValidator

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.widgets.form.validator.Validator
com.smartgwt.client.widgets.form.validator.LengthRangeValidator

All Implemented Interfaces:
  `HasHandlers`

public class LengthRangeValidator extends Validator
This validator type applies to string values only. If the value is a string value validation will fail if the strings length falls outside the range specified by validator.max and validator.min. Note that non-string values will always pass validation by this validator type.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LengthRangeValidator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getMax()`
  Return the max.
  `Integer`
  `getMin()`
  Return the min.
  `void`
  `setMax(Integer max)`
  Set the max.
  `void`
  `setMin(Integer min)`
  Set the min.

  ### Methods inherited from class com.smartgwt.client.widgets.form.validator.Validator

  `addValidatorDefinition, create, getApplyWhen, getCheckComponentData, getClientOnly, getCondition, getDependentFields, getFailWhen, getOrCreateRef, getPassWhen, getPrecision, getRoundToPrecision, getStopIfFalse, getStopOnError, getType, getTypeAsString, getValidateOnChange, setApplyWhen, setCheckComponentData, setClientOnly, setCondition, setDependentFields, setErrorMessage, setFailWhen, setPassWhen, setPrecision, setRoundToPrecision, setStopIfFalse, setStopOnError, setType, setType, setValidateOnChange`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LengthRangeValidator

    public LengthRangeValidator()

- ## Method Details

  - ### setMin

    public void setMin(Integer min)
    Set the min.
    Parameters:
      `min` - the min

  - ### getMin

    public Integer getMin()
    Return the min.
    Returns:
      the min

  - ### setMax

    public void setMax(Integer max)
    Set the max.
    Parameters:
      `max` - the max

  - ### getMax

    public Integer getMax()
    Return the max.
    Returns:
      the max